Name:           ltspfs
Version:        0.5.13
%define _datestamp .20081211.20
#Release:        2%{_datestamp}%{?dist}
Release:        8%{?dist}
Summary:        LTSP file system, daemon that runs on thin clients

Group:          System Environment/Base
License:        GPL+
URL:            https://code.launchpad.net/ltspfs
Source0:        ltspfs-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fuse-devel
BuildRequires: libX11-devel
BuildRequires: glib2-devel

%package -n ltspfsd
Group:          System Environment/Base
Summary:        LTSP file system, userspace FUSE module that runs on a server
Requires:      xorg-x11-utils

%description
Fuse based remote filesystem for LTSP thin clients
 LtspFS is a remote filesystem consisting of two parts:
 1) A network server daemon that runs on the LTSP terminal.
 2) A FUSE module that runs in userspace on the server, that connects with
 the daemon on the client.
 This package contains the userspace parts for the LTSP server.


%description -n ltspfsd
Fuse based remote filesystem daemon for LTSP thin clients
 LtspFS is a remote filesystem consisting of two parts:
 1) A network server daemon that runs on the LTSP terminal.
 2) A FUSE module that runs in userspace on the server, that connects with
 the daemon on the client.
 This package contains the daemon to be run on the LTSP thin client.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/devices/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/ltspfs
%attr(4755,root,root) %{_bindir}/lbmount
%{_sbindir}/ltspfsmounter
%{_mandir}/man1/ltspfs.1.gz
%{_mandir}/man1/lbmount.1.gz
%{_mandir}/man1/ltspfsmounter.1.gz

%files -n ltspfsd
%defattr(-,root,root,-)
%{_bindir}/ltspfsd
%{_sbindir}/cdpinger
%{_sbindir}/ltspfs_mount
%{_sbindir}/ltspfs_umount
%{_sysconfdir}/udev/rules.d/88-ltsp.rules
/lib/udev/ltspfs_entry
%{_datadir}/ltsp/xinitrc.d/
%{_datadir}/ldm/
%{_mandir}/man1/ltspfsd.1.gz
%{_mandir}/man1/cdpinger.1.gz
%{_mandir}/man1/ltspfs_mount.1.gz
%{_mandir}/man1/ltspfs_umount.1.gz
%dir %{_localstatedir}/run/devices/

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 28 2009 Warren Togami <wtogami@redhat.com> - 0.5.13-1
- 0.5.13

* Thu Sep 17 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.5.8-4
- Rebuilt with new fuse

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Warren Togami <wtogami@redhat.com> - 0.5.8-1
- LOCALDEV_DENY stuff

* Sun Oct 12 2008 Warren Togami <wtogami@redhat.com> - 0.5.5-1
- 0.5.5 fixes a cdpinger segfault

* Thu Sep 11 2008 Warren Togami <wtogami@redhat.com> - 0.5.4-1
- bug fixes and more man pages

* Mon Apr 28 2008 Warren Togami <wtogami@redhat.com> - 0.5.2-1
- Create /media/$username as 0750 instead of 0755
  (needed by glib2-2.16.3-5.fc9)
  Ignore inaccessible mounts during mountpoint enumeration (GNOME #526320)
  This prevents bogus inaccessible devices owned by one user from appearing
  on the desktops of other users.

* Mon Apr 21 2008 Warren Togami <wtogami@redhat.com> - 0.5.1-1
- lbmount must be setuid
- ltspfsd requires xorg-x11-utils in the client chroot

* Wed Apr 16 2008 Warren Togami <wtogami@redhat.com> - 0.5.0-1
- 0.5.0 to have an actual version number
  almost no change changes since previous snapshot
- Include /var/run/devices so ltspfs has a chance of working.

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 0.4.2-0.1.20080310
- spec fixes

* Mon Mar 10 2008 Warren Togami <wtogami@redhat.com> - 0.4.2-0.20080310
- spec fixes

* Mon Jan 14 2008 Warren Togami <wtogami@redhat.com> - 0.4.2-0.20080114
- initial package for review

